Search for Field or Form

Search the web version of Encompass for forms containing a given field ID and to retrieve fields within a given form.

📘

See this spreadsheet for additional addition details about search attributes, query syntax, and about whether each attribute can be used for queries and filtering, is returned with an exact or partial match, and can be used for sorting.

Query Params
string
required

The key is form_fields.

Body Params
number

Start index for pagination (starts from 0).

number

End index for pagination. The sum of the start index and the end index should not be greater than 10000.

query
object

Search query with optional filter. The search query can use either the terms or match query parameter.

sort
array of objects

Indicates the sort order of the results. Results can be sorted in ascending or descending order.

The format is: *propertyName*:{order: ASC | DESC }

For example:
{ "sort": [ { "modifiedDate": { "order": "asc" } } ] }

sort
Headers
string
required

Bearer token

Responses

400

Bad Request

Language
URL
Response
Choose an example:
application/json